## 撮影カメラと撮影対象メッシュの設定

![capture_settings](capture_settings.png)

Capture Settingsタブで撮影カメラ、被写体メッシュの設定を行います。



### Mesh Settings

---

![mesh_settings](mesh_settings.png)

#### Fit to

カメラの画角をフィットさせる対象のメッシュを選別します。

:information_source: レイヤーによって常時非表示となっているメッシュは考慮されません。（Mayaの場合、プレイバック中に非表示となるレイヤーも考慮されません）

##### Preregistered Meshes

予め『[別添付のツール](../../register_mesh/register_mesh.html)』で指定したメッシュがシーン内にある場合、そのメッシュのみが、作成されたカメラの画角に収まります。

指定メッシュがない場合、All Meshesを選択した場合と同様になります。

##### All Meshes

レイヤー設定による非表示のものを除き、シーン内の全メッシュが、作成されたカメラのフィット対象になります。



#### Shading Type

メッシュの表示タイプを選択します。

![shading_type](shading_type.png)

###### Wireframe

ワイヤーフレームでの表示です。

###### Shade

フラットシェーディングでの表示です。

###### Texture

ライティングを省いた、テクスチャ付きの表示です。

:warning: Blenderの場合、下図の設定で代用しています。（標準のテクスチャ表示モードがライティングの影響を受けてしまうため）

![blender_texture](blender_texture.png)

###### Beauty

Mayaではライティング表示、Blenderではマテリアル表示に該当します。



### Capture Camera Settings

---

![capture_camera_settings](capture_camera_settings.png)

#### Use Camera

レンダリングに使用するカメラを選択します。

##### Prefer in the Scene

シーン内の既存カメラを優先して使用します。既存カメラに対しては自動的な調整が行われません。

新規カメラを作成せず、シーン内のカメラでハードウェアレンダリングを行う場合にご利用ください。

後述するScene Camera Nameに一致するカメラが存在しない場合は、新規カメラを作成して使用します。

##### Only New Camera

常に新規カメラを作成して使用します。



以下はPrefer in the Sceneが選択されている場合にのみ、表示される項目です。



#### Scene Camera Name

使用する既存のカメラ名を指定します。複数の名称候補がある場合はカンマで区切ってください。

Blenderではオブジェクト名、Mayaではトランスフォームノード名に対して、一致する名前を検索します。

:information_source:　該当するカメラがシーン内に複数ある場合、それぞれのカメラでレンダリングを行い、複数の出力結果が作成されます。



#### Match

##### Perfect Match

指定した文字列と完全に一致する名前のカメラを探します。

"camera"と指定した場合、"Camera"や"camera1"は無視されます。

##### Partial Match

指定した文字列を名前に含むカメラを探します。

"camera"と指定した場合、"my_camera1"や"camera"は一致していると判断されますが、"Camera"は無視されます。



### New Camera Settings

---

![new_camera_settings](new_camera_settings.png)

メッシュを画角に収めるカメラについての設定です。モードによって表示内容が異なります。



#### モード共通の設定



##### Camera Rotation XYZ

カメラの向きをX, Y, Z (degree)で設定します。（ローテートオーダーはeuler_XYZ固定です）

TurnTableモードの場合、先頭フレームでの向きになります。

##### Focal Length

焦点距離です。

##### Near/Far Clip

クリッピングプレーンの近/遠の設定です。

レンダリング結果にノイズが入る場合や遠景がカットされる場合などに調節してください。

![near](near.png)

##### Safe Area (%)

画面端に設ける空白を設定します。

![safe_area](safe_area.png)



#### Animation Captureモードでの設定



##### Fit

###### Whole Animation

アニメーション全体が画角にフィットするようにカメラ位置を固定します。

###### Every Frame

毎フレーム、被写体が画角にフィットするようにカメラの位置が変化します。角度は変わりません。

![fit_anim_capture](fit_anim_capture.gif)



#### TurnTableモードでの設定



##### Turn Center Position

###### World Origin

ワールド原点を中心に、カメラが回転します。

被写体自体や、その重心が原点から離れている場合には向きません。

###### Average of Geometries

被写体の全頂点位置の平均点を中心に、カメラが回転します。

![turn_center_position](turn_center_position.gif)

##### Number of Turns

レンダリング中にカメラが何週するかを指定します。

マイナスの値で逆回転します。

##### Fit

###### Only First Frame

先頭のフレームでのみ、カメラ位置の計算を行います。

静止した被写体に向いています。

###### Whole Animation

全てのフレームでのジオメトリ形状を基に、カメラ位置の計算を行います。

アニメーションをする被写体に向いていますが、計算にとても時間がかかります。

![turn_fit](turn_fit.gif)



------

[戻る: GUIの操作](../gui_main.html)

[戻る: index](../../index.html)

