## レンダリングの実行

![do_render](do_render.png)

設定に沿ってレンダリングを実行します。

* 順次シーンを開き、カメラ位置の計算とレンダリングを行うため、処理に時間がかかります。
* リストにフォルダが登録されている場合、それ以下の階層にあるシーンファイルが全てレンダリング対象に含まれます。

全てのレンダリングが終了すると確認ダイアログが表示されるので閉じてください。

![done](done.png)



:warning: TurnTableモードでのFit設定を「Whole Animation」にした場合、特に時間がかかります。



### Blender独自の挙動

------

新しくBlenderのGUIが立ち上がり、そちらを通して処理が行われます。

元々開いていたBlenderのコンソールウィンドウへ、進捗がアウトプットされます。

処理が終了すると、新しいGUIは自動的に閉じられます。



### Maya独自の挙動

------

実行時点で使用していたGUIが、処理にされます。

:warning: 処理の終了後、新規シーンが開かれた状態になります。そのため、開始時点でのシーンへの編集は失われます。



処理中はプログレスバーが表示され、シーンが進む毎に進捗が進みます。

![progress](progress.png)



#### Mental Rayプラグインに関係する注意

Mental Rayプラグインを有効にして保存されたシーンを、無効にしているMayaで開くとき、下図のウィンドウが出て処理が保留される場合があります。その場合、手動で「OK」を押さない限り処理が続行されません。

![mentalray](mentalray.png)

上図の「Do not show this message in the future.」にチェックを入れると、このウィンドウは現れなくなりますが、シーン内の状況を把握しづらくなるリスクがあります。




### 異常発生時
---
プログラムまたはシーンに異常が発生した場合、そのシーンはスキップされ、下図のようなダイアログとエラーログが表示されます。

![error](error.png)

エラーログの保存場所は、上図のように、ダイアログ内に記述されます。

エラーの原因を探る際は参考にしてください。



------

[戻る: GUIの操作](../gui_main.html)

[戻る: index](../../index.html)

