## 出力先とフォーマットの設定

![output_settings](output_settings.png)

レンダリング結果の保存に関する設定を行います。



### Render Settings

---

![render_settings](render_settings.png)

#### Hide Ornaments

メッシュ以外のものを非表示にします。

![hide_ornament](hide_ornament.png)

#### Resolution X/Y

シーン内の解像度設定を流用しない場合に使用するレンダリング解像度です。

###### Use Scene Setting

シーン内の解像度設定がレンダリング解像度になります。



#### Animation Start/End

シーン内のアニメーションレンジを使用しない場合に、スタートフレームとエンドフレームを指定します。

###### Use Scene Setting

シーン内のアニメーションレンジに従います。
Blenderではレンダリング範囲、Mayaではプレイバック範囲が使用されます。



#### Background Color

背景色を設定します。

![bg_color](bg_color.png)

Mayaの場合、後述のFormat Settingsで画像形式での保存を選択した場合、背景を透明にすることもできます。

:warning:Blenderの場合、画像形式での保存を選択すると、この項目が表示されずに、背景は透明のみになります。



##### Transparent

Mayaで画像形式での保存を選択した場合のみ表示されます。
背景を透明にして、出力結果を保存します。

![transparent](transparent.png)



### Folder Settings

---

![folder_settings](folder_settings.png)

保存先の指定を行います。



#### Save Directory

###### Absolute Path

全てのレンダリング結果を一つのディレクトリ以下に保存します。

###### Relative from Scene


レンダリング結果を、シーンファイルと相対的な場所へ保存します。



#### Folder

Absolute Path選択時にのみ表示されます。

保存先を直接入力するか、フォルダアイコンをクリックしてダイアログから選択します。



#### Relative Sentences

Relative from Scene選択時にのみ表示されます。
シーンファイルからみて相対となるフォルダパスを直接入力します。

* ".." 一つ上の階層を示します
* "/" フォルダの区切りを示します

下図の例を参考に入力してください。

![relative](relative.png)



### Format Settings

---

![format_settings](format_settings.png)

保存形式を指定します。




#### DCCツール共通の設定



##### Extension

動画または静止画の拡張子を指定します。

###### avi

Blenderの場合、エンコードはH.264固定です。

###### mp4

Blenderでのみ使用できます。エンコードはH.264固定です。

###### png

背景が透明のpng画像で保存します。
前項のFolder Settingで指定した保存先に画像を纏めるフォルダが作成され、その中に保存されます。



#### Blender独自の設定



##### Compression

出力ファイルのサイズを抑えるための圧縮率を指定します。動画では画質とトレードオフになります。
png形式では圧縮率を上げても画質の低下は起こりません。



#### Maya独自の設定



##### Encoding

Mayaでのみ表示されます。avi形式で保存する際の圧縮方式を指定します。
それぞれの項目はPlayblastを使用する際と同様ですが、一部のエンコードを省略しています。

###### IYUV

ファイルサイズは大きめですが、画質に優れます。

###### MS-CRAM

ファイルサイズを抑えたい場合にお勧めです。

###### None

圧縮をしないので、画質の劣化がありません。ファイルサイズは非常に大きくなります。



##### Quality

画質の指定をします。EncodingをNoneにした場合は効果がありません。



------

[戻る: GUIの操作](../gui_main.html)

[戻る: index](../../index.html)

