# -*-coding:utf-8-*-
u"""開いているBlenderのバージョンから各抽象クラスの継承先を決定.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
import bpy

from ..setting import Setting


def set_version():
    u"""バージョン確定."""
    ver = bpy.context.blend_data.version
    if ver[0] == 2 and ver[1] == 79:
        Setting.dcc_tool = Setting.BLENDER279B
    elif ver[0] == 2 and ver[1] == 80:  # 正式リリース後は変更
        Setting.dcc_tool = Setting.BLENDER280BETA
    else:
        raise Exception('Not Compatible Version {}.{}.{}'.format(*ver))
