# -*-coding:utf-8-*-
u"""開いているMayaシーンからバージョンから各抽象クラスの継承先を決定.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
from __future__ import absolute_import
from __future__ import unicode_literals
from __future__ import print_function

import maya.cmds as cmds

from ..setting import Setting


def set_version():
    u"""バージョン確定."""
    ver = cmds.about(v=1)
    if any(x in ver for x in ('2017', '2018', '2019')):
        Setting.dcc_tool = Setting.MAYA2018
    else:
        raise Exception('Not Compatible Version {}'.format(ver))
