# -*-coding:utf-8-*-
u"""シーンからハードウェアレンダーを行うために必要な情報を集める.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
from __future__ import absolute_import
from __future__ import unicode_literals
from __future__ import print_function


class AbstractConfirmSetting(object):
    u"""シーンの情報をsettings.Settingへ伝えるための抽象クラス."""

    def set_resolution_by_current_scene(self):
        u"""レンダー解像度をsetting.Settingへ伝える."""
        raise NotImplementedError

    def set_animation_range_by_current_scene(self):
        u"""レンダーフレームの始、終をsetting.Settingへ伝える."""
        raise NotImplementedError

    def set_fps_by_current_scene(self):
        u"""fpsをsetting.Settingへ伝える."""
        raise NotImplementedError

    def set_coordinate_by_current_scene(self):
        u"""DCCのアップ軸、水平軸をsetting.Settingへ伝える."""
        raise NotImplementedError
