# -*-coding:utf-8-*-
u"""開いているBlenderシーンからハードウェアレンダーを行うために必要な情報を集める.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
import bpy

from ..setting import Setting
from . import confirm_setting_abstract as setabc


class ConfirmSetting(setabc.AbstractConfirmSetting):
    u"""シーンの情報をsettings.Settingへ伝える."""

    def set_resolution_by_current_scene(self):
        u"""レンダー解像度をsetting.Settingへ伝える."""
        render = bpy.context.scene.render
        Setting.resolution_x = render.resolution_x
        Setting.resolution_y = render.resolution_y
        Setting.resolution_percentage = render.resolution_percentage

    def set_animation_range_by_current_scene(self):
        u"""レンダーフレームの始、終をsetting.Settingへ伝える."""
        Setting.start_frame = bpy.context.scene.frame_start
        Setting.end_frame = bpy.context.scene.frame_end

    def set_fps_by_current_scene(self):
        u"""fpsをsetting.Settingへ伝える."""
        Setting.fps = bpy.context.scene.render.fps

    def set_coordinate_by_current_scene(self):
        u"""DCCのアップ軸、水平軸をsetting.Settingへ伝える."""
        Setting.coord_up_id = 2
        Setting.coord_gnd_id = 1
