# -*-coding:utf-8-*-
u"""Maya2018でのVectorをDCCツール共通のクラス名で管理させる.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
from __future__ import absolute_import
from __future__ import unicode_literals
from __future__ import print_function

import maya.api.OpenMaya as om2

from . import vector_abstract as vecabs


class Vector3D(vecabs.AbstractVector3D):
    u"""演算を簡単にするために、om2.MVectorをDCCツール共通のクラス名で管理.

    各メソッドの引数, 辺数は基本的にVector3D型
    """

    def __init__(self, *input_objects):
        u"""construcor.

        input_objects: 各DCCタイプのVector3Dに関するオブジェクト
        """
        self._vec = om2.MVector(*input_objects)

    def is_parallel(self, v):
        u"""デリゲート."""
        return self._vec.isParallel(v._vec)
