# -*-coding:utf-8-*-
u"""本ツールのguiによっての起動させられた、PySide2を持たないDCCツールのスタートアップモジュール.

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110- 1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

Author: Masayuki Osaka
"""
import os
import sys
import inspect


def set_this_package_to_python_path():
    u"""このパッケージをDCCツールに認識させる."""
    # このパッケージのある場所
    package_root = os.path.normpath(
        os.path.join(inspect.stack()[0][1], '../../')
    ).replace(os.sep, '/')
    if package_root not in sys.path:
        sys.path.append(package_root)


def main():
    u"""main."""
    set_this_package_to_python_path()
    import hardware_render_animations
    try:
        hardware_render_animations.main(use_gui=False)
    except Exception:
        hardware_render_animations.modules.errorlog.ErrorLog.add_error()


if __name__ == '__main__':
    main()
    sys.exit(0)
